/// <reference path="Grib2Data.d.ts" />
/// <reference path="Interpolate.d.ts" />
import { Grib2Data } from './Grib2Data';
import { InterpolateFunc } from './Interpolate';
export declare type Grid<T> = T[][];
export declare type Field<T> = (i: number, j: number) => T;
export interface GridResult<T> {
    grid: Grid<T>;
    field: Field<T>;
    date: Date;
    dataSource: string;
}
export declare function build(data: Grib2Data, interpolateFunc?: InterpolateFunc<number[]>): GridResult<number[]>;
