export interface InterpolateParam<T extends number | number[]> {
    x: number;
    y: number;
    g00: T;
    g10: T;
    g01: T;
    g11: T;
}
export interface InterpolateFunc<T extends number | number[]> {
    (param: InterpolateParam<T>): T;
}
export declare function bilinearInterpolateScalar(p: InterpolateParam<number>): number;
export declare function bilinearInterpolateVector(p: InterpolateParam<number[]>): number[];
