"use strict";
function bilinearInterpolateScalar(p) {
    var rx = (1 - p.x);
    var ry = (1 - p.y);
    return p.g00 * rx * ry + p.g10 * p.x * ry + p.g01 * rx * p.y + p.g11 * p.x * p.y;
}
exports.bilinearInterpolateScalar = bilinearInterpolateScalar;
function bilinearInterpolateVector(p) {
    var rx = (1 - p.x);
    var ry = (1 - p.y);
    var a = rx * ry;
    var b = p.x * ry;
    var c = rx * p.y;
    var d = p.x * p.y;
    var u = p.g00[0] * a + p.g10[0] * b + p.g01[0] * c + p.g11[0] * d;
    var v = p.g00[1] * a + p.g10[1] * b + p.g01[1] * c + p.g11[1] * d;
    return [u, v, Math.sqrt(u * u + v * v)];
}
exports.bilinearInterpolateVector = bilinearInterpolateVector;
//# sourceMappingURL=Interpolate.js.map